# FoundationClasses
TKernel
Plugin

# Plugin_DataMapNodeOfMapOfFunctions Class Reference

`#include <Plugin_DataMapNodeOfMapOfFunctions.hxx>`

Inheritance diagram for Plugin_DataMapNodeOfMapOfFunctions:

[legend]

## Public Member Functions

| Plugin_DataMapNodeOfMapOfFunctions (const TCollection_AsciiString &K, const OSD_Function &I, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
OSD_Function & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myKey
OSD_Function | myValue

## Constructor & Destructor Documentation

Plugin_DataMapNodeOfMapOfFunctions::Plugin_DataMapNodeOfMapOfFunctions | ( | const TCollection_AsciiString & | K,
|  | const OSD_Function & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Plugin_DataMapNodeOfMapOfFunctions::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

TCollection_AsciiString& Plugin_DataMapNodeOfMapOfFunctions::Key | ( |  | ) | const

OSD_Function& Plugin_DataMapNodeOfMapOfFunctions::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString Plugin_DataMapNodeOfMapOfFunctions::myKey `[private]`

OSD_Function Plugin_DataMapNodeOfMapOfFunctions::myValue `[private]`

The documentation for this class was generated from the following file:

- Plugin_DataMapNodeOfMapOfFunctions.hxx